### Constructor

# Vips Image ppmload_buffer

#### Declaration [src]

    int
    vips_ppmload_buffer (
      void* buf,
      size_t len,
      VipsImage** out,
      ...
    )

#### Description [src]

Exactly as `vips_ppmload()`, but read from a memory source.

See also

`vips_ppmload()`.

This constructor is not directly available to language bindings.

#### Parameters

`buf`

  Type: An array of `guint8`

  Memory area to load.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.

`len`

  Type: `size_t`

  Size of memory area.

`out`

  Type: `VipsImage`

  Image to write.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.